Page MenuHomePhabricator

Decommission darmstadtium
Closed, ResolvedPublic

Description

This is obsolete now that we have the registry* clusters, right?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 29 2019, 11:34 AM

I think so, let's wait for @fsero though

fsero added a comment.Jun 3 2019, 9:21 AM

yep, it could be decomm'd. Registry has being served by new servers by two weeks and i didn't see any hiccup yet so this server can go.

I can take care of the decom process but i don't know if it should be added to spare or contact dcops for complete obliteration.

yep, it could be decomm'd. Registry has being served by new servers by two weeks and i didn't see any hiccup yet so this server can go.

I can take care of the decom process but i don't know if it should be added to spare or contact dcops for complete obliteration.

It's a Ganeti VM, so no DC ops involvement needed :-)

See e.g. T224023 for the steps involved in decommisioning a Ganeti VM.

fsero claimed this task.Jun 3 2019, 9:29 AM

Change 514020 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/puppet@production] Decommision darmstadtium

https://gerrit.wikimedia.org/r/514020

Change 514024 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/dns@master] decommision darmstadtium

https://gerrit.wikimedia.org/r/514024

Change 514020 merged by Fsero:
[operations/puppet@production] Decommision darmstadtium

https://gerrit.wikimedia.org/r/514020

cookbooks.sre.hosts.decommission executed by fsero@cumin1001 for hosts: darmstadtium.eqiad.wmnet

  • darmstadtium.eqiad.wmnet
    • Removed from Puppet master and PuppetDB
    • Downtimed host on Icinga
    • No management interface found (likely a VM)
    • Removed from DebMonitor
fsero added a comment.Jun 4 2019, 1:54 PM
The last Puppet run was at Tue Jun  4 13:43:31 UTC 2019 (9 minutes ago). 
Debian GNU/Linux 9 auto-installed on Thu May 31 06:28:00 UTC 2018.
Last login: Tue Jun  4 13:47:49 2019 from 208.80.154.86
fsero@ganeti1003:~$ sudo gnt-instance remove darmstadtium.eqiad.wmnet
This will remove the volumes of the instance darmstadtium.eqiad.wmnet
(including mirrors), thus removing all the data of the instance.
Continue?
y/[n]/?: y

Change 514024 merged by Fsero:
[operations/dns@master] decommision darmstadtium

https://gerrit.wikimedia.org/r/514024

fsero closed this task as Resolved.Jun 4 2019, 2:16 PM